import { Handler, Options } from './types';
export { Handler, Options } from './types';
/**
 * Connects to pm2.
 */
export declare const connect: () => Promise<void>;
/**
 * Determines whether there is a connection with pm2.
 */
export declare const isConnected: () => Boolean;
/**
 * Disconnects from pm2.
 */
export declare const disconnect: () => Promise<void>;
/**
 * Requests messages from processes managed by pm2.
 */
export declare const getMessages: <T = any>(topic: string, data?: any, { filter, includeSelfIfUnmanaged, timeout, }?: Options) => Promise<T[]>;
/**
 * Attaches a handler for the given topic.
 */
export declare const onMessage: (topic: string, handler: Handler) => void;
declare const _default: {
    connect: () => Promise<void>;
    isConnected: () => Boolean;
    disconnect: () => Promise<void>;
    getMessages: <T = any>(topic: string, data?: any, { filter, includeSelfIfUnmanaged, timeout, }?: Options) => Promise<T[]>;
    onMessage: (topic: string, handler: Handler) => void;
};
export default _default;
